package ControlFlow

/**
 * https://www.tutorialspoint.com/kotlin/kotlin_if_else_expression.htm
 */
class IfStatements {
	fun main1(args: Array<String>) {
		val age: Int = 10
		val result = if (age > 18) {
			"Adult"
		} else {
			"Minor"
		}
		println(result)
	}

	fun main2(args: Array<String>) {
		val age: Int = 10
		val result = if (age > 18) "Adult" else "Minor"
		println(result)
	}

	fun main3(args: Array<String>) {
		val age: Int = 10
		val result = if (age > 18) {
			println("Given condition is true")
			"Adult"
		} else {
			println("Given condition is false")
			"Minor"
		}
		print("The value of result : ")
		println(result)
	}

	fun main4(args: Array<String>) {
		val age: Int = 20
		val result = if (age > 12) {
			if (age > 12 && age < 20) {
				"Teen"
			} else {
				"Adult"
			}
		} else {
			"Minor"
		}
		print("The value of result : ")
		println(result)
	}
}
