package ControlFlow

/**
 * https://www.tutorialspoint.com/kotlin/kotlin_break_continue.htm
 */
class BreakStatements {
	fun main1(args: Array<String>) {
		var i = 0
		while (i++ < 100) {
			println(i)
			if (i == 3) {
				break
			}
		}
	}

	fun main2(args: Array<String>) {
		outerLoop@ for (i in 1..3) {
			innerLoop@ for (j in 1..3) {
				println("i = $i and j = $j")
				if (i == 2) {
					break@outerLoop
				}
			}
		}
	}

	fun main3(args: Array<String>) {
		var i = 0
		while (i++ < 6) {
			if (i == 3) {
				continue
			}
			println(i)
		}
	}

	fun main4(args: Array<String>) {
		outerLoop@ for (i in 1..3) {
			innerLoop@ for (j in 1..3) {
				if (i == 2) {
					continue@outerLoop
				}
				println("i = $i and j = $j")
			}
		}
	}
}
